# https://github.com/kardianos/osext
%global goipath         github.com/kardianos/osext
%global commit          ae77be60afb1dcacde03767a8c37337fad28ac14

%global oldgoipath      bitbucket.org/kardianos/osext
%global oldgoname       %gorpmname %{oldgoipath}

%gometa

Name:           %{oldgoname}
Version:        0
Release:        0.23%{?dist}
Summary:        Extensions to the standard Go OS package
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

Patch0:         00-disable-broken-test.patch

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains compatibility glue for code that still imports the
%{oldgoipath} Go namespace.


%package -n %{goname}-devel
Summary:    %{summary}
BuildArch:  noarch
 
%description -n %{goname}-devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix. 


%prep
%forgeautosetup


%install
%goinstall

install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}


%check
%gochecks


%pretrans devel -p <lua>
-- Define the path to directory being replaced below.
-- DO NOT add a trailing slash at the end.
pathlist = {"%{gopath}/src/%{oldgoipath}"}
for key,path in ipairs(pathlist) 
do
  st = posix.stat(path)
  if st and st.type == "directory" then
    status = os.rename(path, path .. ".rpmmoved")
    if not status then
      suffix = 0
      while not status do
        suffix = suffix + 1
        status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
      end
      os.rename(path, path .. ".rpmmoved")
    end
  end
end


%files devel
%license LICENSE
%doc README.md
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}
%ghost %{gopath}/src/%{oldgoipath}.rpmmoved


%files -n %{goname}-devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.23.20181006gitae77be6
- Fix to handle folder to link upgrade

* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.21.20181006gitae77be6
- Bump to commit ae77be60afb1dcacde03767a8c37337fad28ac14
- Use new go packaging

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.git9b883c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.git9b883c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git9b883c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.git9b883c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Mar 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.16.git9b883c5
- Disable a broken test that leads to intermittent failures.

* Fri Mar 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.15.git9b883c5
- Upstream has moved to github, use new sources too.
- Provide new import path too.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.hg364fb577de68
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 17 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.hg364fb577de68
- Polish the spec file
  related: #1254591

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.hg364fb577de68
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.hg364fb577de68
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.hg364fb577de68
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.9.hg364fb577de68
- Define gotest macro if not defined

* Fri Sep 11 2015 jchaloup <jchaloup@redhat.com> - 0-0.8.hg364fb577de68
- Update to spec-2.1

* Wed Aug 12 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0-0.7.hg364fb577de68
- Update spec file to spec-2.0
  resolves: #1254591

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.hg364fb577de68
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.hg364fb577de68
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg364fb577de68
- removed double quotes from provides

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg364fb577de68
- devel description update

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg364fb577de68
- defattr removed
- description and summary updated

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.hg364fb577de68
- Initial fedora package
